import { ElementRef, EventEmitter, OnInit, TemplateRef } from '@angular/core';
import { I18nService } from '../i18n/i18n.service';
export declare class TlButton implements OnInit {
    button: ElementRef;
    private i18nService;
    text: string;
    iconAddonBefore: string;
    iconAddonAfter: string;
    iconBeforeText: string;
    iconAfterText: string;
    height: string;
    width: string;
    disabled: boolean;
    flatBorder: boolean;
    colorIconBefore: string;
    colorIconAfter: string;
    template: TemplateRef<any>;
    outline: boolean;
    color: string;
    loaderColor: string;
    isLoading: boolean;
    indexShortcut: number;
    set textLoading(text: string);
    get disabledButton(): boolean;
    get textLoading(): string;
    set modalContext(modal: any);
    get modalContext(): any;
    selected: EventEmitter<any>;
    buttonElement: ElementRef;
    private _textLoading;
    private _modalContext;
    constructor(button: ElementRef, i18nService: I18nService);
    ngOnInit(): void;
    setFocus(): void;
}
