import { EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { CalendarHoliday } from '../../interfaces/calendar-holiday.interface';
export interface CalendarDaysInterface {
    dayOfWeek: number;
    date: Date;
    day: number;
}
export declare class TlCalendarDays implements OnInit, OnChanges {
    set currentDate(value: Date);
    get currentDate(): Date;
    holidays: Array<CalendarHoliday>;
    borders: boolean;
    width: string;
    height: string;
    selectDay: EventEmitter<any>;
    doubleClick: EventEmitter<any>;
    dayOfMonth: Array<CalendarDaysInterface[]>;
    selectedDate: Date;
    groupIndex: number;
    dayOfWeek: string[];
    private _currentDate;
    constructor();
    ngOnInit(): void;
    buildCalendar(): void;
    setGroupIndex(daysByWeek: any): void;
    setBeforeDays(): void;
    selectDate(date: Date): void;
    setAfterDays(): void;
    isCurrentDate(date: Date): boolean;
    isOtherMonth(item: CalendarDaysInterface): boolean;
    today(): void;
    isToday(date: Date): boolean;
    getDateObject(day: any, month?: any): Date;
    groupBy(xs: any, key: any): any;
    ngOnChanges(changes: SimpleChanges): void;
}
