import { Hsla, Hsva, Rgba } from './colorpicker-formats';
export declare class ColorPickerHelpers {
    rgbaToHex(rgba: Rgba, allowHex8?: boolean): string;
    hexToRgb(hex: any): Array<number>;
    hexToRgbString(hex: any): string;
    stringToHsva(colorString?: string, allowHex8?: boolean): Hsva | null;
    rgbaToHsva(rgba: Rgba): Hsva;
    hsla2hsva(hsla: Hsla): Hsva;
}
