import { OnInit } from '@angular/core';
import { ColorPickerService } from '../../services/colorpicker-service';
import { ColorPickerHelpers } from '../../helpers/colorpicker-helpers';
export declare class TlColorPickerInput implements OnInit {
    private colorPickerService;
    private colorPickerHelpers;
    selectedColor: string;
    color: string;
    inputElement: any;
    saved: boolean;
    formatColor: boolean;
    private interval;
    constructor(colorPickerService: ColorPickerService, colorPickerHelpers: ColorPickerHelpers);
    ngOnInit(): void;
    getColorFormat(): string;
    copyInputColor(): void;
    showCopyMessage(): void;
}
