import { ComponentFactoryResolver, Injector } from '@angular/core';
import { LazyApplicationLoaderConfig } from '../configs/application.config';
import { I18nInterface } from '../../i18n/i18n.interface';
import { I18nService } from '../../i18n/i18n.service';
export declare class CoreService {
    private compiler;
    private injector;
    private i18nService;
    private config;
    private componentRef;
    constructor(compiler: ComponentFactoryResolver, injector: Injector, i18nService: I18nService, config: LazyApplicationLoaderConfig);
    initializeApp(): Promise<any>;
    setTheme(theme?: string): void;
    setLocale(locale?: I18nInterface): void;
}
