import { ComponentFactoryResolver, Renderer2, ViewContainerRef } from '@angular/core';
export interface MenuConfig {
    label: string;
    icon: string;
    subItem: string;
    items: Array<any>;
}
export declare class MenuService {
    private componentResolver;
    private mainList;
    private label;
    private icon;
    private subItem;
    private items;
    private anchors;
    private listeners;
    private menuList;
    private relativeWindowPosition;
    private renderer;
    private callBack;
    created: boolean;
    constructor(componentResolver: ComponentFactoryResolver);
    setMenuConfig(menuConfig: MenuConfig, view: ViewContainerRef, renderer: Renderer2): void;
    createList(): void;
    private handleSubItems;
    private handleMouseHover;
    private handleMouseLeave;
    private removeChildren;
    private createSubItemList;
    private setProperties;
    private setPositionChildElement;
    private setAnchorLeftPosition;
    private setAnchorTopPosition;
    resetMenu(): void;
}
