import { AfterContentInit, ElementRef, OnDestroy, Renderer2 } from '@angular/core';
import { TlDatatable } from '../datatable';
export declare class TlResizerDirective implements AfterContentInit, OnDestroy {
    private datatabeHeaderRef;
    private render;
    resizer: boolean;
    datatable: TlDatatable;
    private columnSeparator;
    private tableHeaderRowElement;
    private tableHeaderElement;
    private headerColgroupCols;
    private bodyColgroupCols;
    private isMoving;
    private pointOfClick;
    private columnLeftHeader;
    private columnRightHeader;
    private columnLeftBody;
    private columnRightBody;
    private colLeftWidth;
    private colRightWidth;
    private displacement;
    private listenersList;
    private mouseMoveListener;
    private mouseupListener;
    constructor(datatabeHeaderRef: ElementRef, render: Renderer2);
    ngAfterContentInit(): void;
    getElementTableHeader(): Promise<void>;
    getElementTableHeaderRow(): Promise<void>;
    getColsOfColGroups(): Promise<void>;
    getElementColumnSeparator(): Promise<void>;
    onColumnResize(event: MouseEvent): void;
    onColumnSeparatorMouseDown(event: MouseEvent): void;
    onTableHeaderRowMouseOver(event: any): void;
    onColumnSeparatorMouseUp(): void;
    createHandlerEventListeners(): void;
    destroyHandleEventListeners(): void;
    moveSeparatorAtCursor(element: HTMLElement): void;
    getPositionSeparetorFromElement(element: any): number;
    getColsBetweenSeparator(): void;
    itIsBetweenSeparator(column: HTMLElement): boolean;
    resizeColumns(event: any): void;
    resizeColumnsToRight(): void;
    resizeColumnsToLeft(): void;
    setNewPositionsColumns(leftColumn: any, rightColumn: any): void;
    isMovingToRight(event: any): boolean;
    setDisplacement(event: any): void;
    getHeaderWrapScrollLeft(): any;
    startResize(): void;
    stopResize(): void;
    changeCursorResize(): void;
    clearListerners(): void;
    ngOnDestroy(): void;
}
