import { AfterViewInit, ElementRef, OnDestroy, EventEmitter } from '@angular/core';
import { TlDatatable } from '../../datatable';
import { DatatableHelpersService } from '../../services/datatable-helpers.service';
import { TlDatatableFilterService } from '../../services/datatable-filter.service';
import { TlDatatableColumn } from '../column/datatable-column';
import { TlDatatableSortService } from '../../services/datatable-sort.service';
export declare class TlDatatableHeader implements AfterViewInit, OnDestroy {
    dt: TlDatatable;
    helperService: DatatableHelpersService;
    filterService: TlDatatableFilterService;
    private sortService;
    columnsFilter: any;
    datatableHeader: ElementRef;
    keydownFilter: EventEmitter<any>;
    private subscription;
    private filderOrder;
    private sortField;
    constructor(dt: TlDatatable, helperService: DatatableHelpersService, filterService: TlDatatableFilterService, sortService: TlDatatableSortService);
    ngAfterViewInit(): void;
    onClick(column: TlDatatableColumn): void;
    getSortOrder(column: any): number;
    ngOnDestroy(): void;
}
