import { OnInit } from '@angular/core';
import { I18nService } from '../../i18n/i18n.service';
import { DialogDefaultBehavior } from '../dialog-default-behavior';
import { TlButton } from '../../button/button';
export declare class TlDialogError extends DialogDefaultBehavior implements OnInit {
    private i18n;
    message: string;
    exceptionName: string;
    exceptionMessage: string;
    get textOk(): string;
    get exceptionBoxDescription(): string;
    button: TlButton;
    animation: any;
    errorlog: boolean;
    constructor(i18n: I18nService);
    ngOnInit(): void;
    open(value: any): void;
}
