import { ToolbarConfigModel } from '../model/toolbar-config.model';
export interface ToolbarConfig extends ToolbarConfigModel {
    font: {
        family: {
            show: boolean;
            tooltipText: string;
        };
        size: {
            show: boolean;
            tooltipText: string;
        };
        bold: {
            show: boolean;
            tooltipText: string;
        };
        italic: {
            show: boolean;
            tooltipText: string;
        };
        underline: {
            show: boolean;
            tooltipText: string;
        };
        color: {
            show: boolean;
            tooltipText: string;
        };
        highlight: {
            show: boolean;
            tooltipText: string;
        };
    };
    alignment: {
        left: {
            show: boolean;
            tooltipText: string;
        };
        center: {
            show: boolean;
            tooltipText: string;
        };
        right: {
            show: boolean;
            tooltipText: string;
        };
        justify: {
            show: boolean;
            tooltipText: string;
        };
    };
    lists: {
        ordered: {
            show: boolean;
            tooltipText: string;
        };
        unordered: {
            show: boolean;
            tooltipText: string;
        };
    };
    others: {
        link: {
            show: boolean;
            tooltipText: string;
        };
        imageLink: {
            show: boolean;
            tooltipText: string;
        };
        quote: {
            show: boolean;
            tooltipText: string;
        };
        clear: {
            show: boolean;
            tooltipText: string;
        };
        save: {
            show: boolean;
            tooltipText: string;
        };
        field: {
            show: boolean;
            tooltipText: string;
        };
    };
}
