import { OnDestroy, OnChanges, SimpleChanges, ElementRef, ChangeDetectorRef } from '@angular/core';
import { Router } from '@angular/router';
export declare class TlSimpleSubMenu implements OnChanges, OnDestroy {
    private router;
    private change;
    icon: string;
    label: string;
    subItem: string;
    items: any[];
    docked: boolean;
    width: any;
    itemHeight: any;
    dockWidth: any;
    link: any;
    anchorElements: any[];
    private callBack;
    subMenuList: ElementRef;
    constructor(router: Router, change: ChangeDetectorRef);
    setDataSubMenu(items: any): void;
    setProperties(properties: any): void;
    setAnchorElement(item: any, element: any): void;
    isRouterActive(item: any): boolean;
    alreadyTaken(element: any): any[];
    callbackListElement($event: any, item: any): Promise<boolean>;
    getWidth(): string;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
}
