import { AfterContentInit, AfterViewInit, ElementRef, OnDestroy, Renderer2 } from '@angular/core';
import { NgControl } from '@angular/forms';
import { Overlay, OverlayPositionBuilder } from '@angular/cdk/overlay';
export declare class TlMessageValidationDirective implements AfterContentInit, AfterViewInit, OnDestroy {
    ngControl: NgControl;
    private overlayPositionBuilder;
    private elementRef;
    private renderer;
    private overlay;
    private overlayRef;
    private validationsRef;
    private subscription;
    get control(): import("@angular/forms").AbstractControl;
    constructor(ngControl: NgControl, overlayPositionBuilder: OverlayPositionBuilder, elementRef: ElementRef, renderer: Renderer2, overlay: Overlay);
    ngAfterContentInit(): void;
    ngAfterViewInit(): void;
    listenFocus(): void;
    listenBlur(): void;
    listenBackdrop(): void;
    listenValueChanges(): void;
    create(): void;
    remove(): void;
    getNativeInput(): any;
    getElementWidth(): string;
    ngOnDestroy(): void;
}
