import { ChangeDetectorRef, ElementRef } from '@angular/core';
import { I18nService } from '../i18n/i18n.service';
import { AbstractControl } from '@angular/forms';
export declare class TlMessageValidationComponent {
    element: ElementRef;
    private i18n;
    private changes;
    private errors;
    control: any;
    width: string;
    messages: any[];
    private keyErrors;
    constructor(element: ElementRef, i18n: I18nService, changes: ChangeDetectorRef);
    init(formControl: AbstractControl, width: string): void;
    setMessages(): void;
    setKeyErrors(): void;
}
