import { ChangeDetectorRef, ComponentRef, OnDestroy, OnInit } from '@angular/core';
import { ModalService } from '../../services/modal.service';
export declare class TlModalToolbar implements OnInit, OnDestroy {
    modalService: ModalService;
    private changes;
    containerColor: string;
    height: string;
    color: string;
    modalBoxWidth: number;
    limitStringBox: number;
    container: any;
    wrapper: any;
    isScrolling: boolean;
    activeModal: ComponentRef<any>;
    private subscription;
    constructor(modalService: ModalService, changes: ChangeDetectorRef);
    ngOnInit(): void;
    subscribeFrontModal(): void;
    subscribeChanges(): void;
    showWindow(item: ComponentRef<any>): void;
    validateScroll(): void;
    handleArrowRight(): void;
    handleArrowLeft(): void;
    handleScrollFinish(): void;
    ngOnDestroy(): void;
}
