import { ComponentFactoryResolver, ElementRef } from '@angular/core';
import { ActionsModal } from '../../core/enums/actions-modal';
import { TlDatatable } from '../../datatable/datatable';
export interface ModalFormConfig {
    factory: ComponentFactoryResolver;
    executeAction: ActionsModal;
    identifier: string;
    unique?: boolean;
    dataForm?: Object;
    initialDataForm?: Object;
    deleteTitleConfirmation?: string;
    deleteConfirmationMessage?: string;
    recordNotFoundMessage?: string;
    parentElement?: ElementRef;
    titleByAction?: boolean;
    recordConfig?: {
        keyFromDataForm?: string;
        showOnDelete?: boolean;
    };
    actions?: {
        insertCall?: Function;
        updateCall?: Function;
        deleteCall?: Function;
        viewCall?: Function;
    };
    relativeDataSource?: TlDatatable;
}
