import { QueryList, AfterContentInit, Renderer2, AfterViewInit, OnDestroy, OnChanges, SimpleChanges } from '@angular/core';
import { TlView } from './view/view';
export declare class TlMultiView implements AfterViewInit, AfterContentInit, OnDestroy, OnChanges {
    private renderer;
    modelValue: string;
    transitionTime: string;
    height: string;
    backdroungColor: string;
    views: QueryList<TlView>;
    multiViewContainer: any;
    multiViewTranslate: any;
    private selectedChange;
    private moving;
    private viewBounding;
    private mouseClickPositionX;
    private selectedView;
    private currentTranslatePosition;
    private translateAreaWidth;
    private movement;
    private movementPosition;
    constructor(renderer: Renderer2);
    ngOnChanges(changes: SimpleChanges): void;
    changeModelValue(value: any): void;
    ngAfterContentInit(): void;
    ngAfterViewInit(): void;
    setWidthEachView(): void;
    handleSelectedView(): void;
    handleViewBounding(): void;
    setWidthMultiView(): void;
    listenMouseDown(): void;
    listenMouseLeave(): void;
    listenMouseUp(): void;
    snapViewPosition(): void;
    getDistanceMoved(): number;
    isSelectedViewIndexGreaterThanZero(): boolean;
    isDistanceMovedEnoughToSnap(distanceMoved: any, translateSnap: any): boolean;
    isForwardMove(): boolean;
    handleDragForward(): void;
    handleDragBackward(): void;
    listenMouseMove(): void;
    translateSection(translate: any, time: string): void;
    translateMove($event: any, time?: any): void;
    getTranslateCurrentPosition(): number;
    handleMovingSlow(time: any): void;
    getMousePosition($event: any): number;
    setTranslate(value: any): void;
    isLastAndFinished($event: MouseEvent, translatePos: number): boolean;
    isMoving(translatePos: number): boolean;
    isFirstAndFinished($event: MouseEvent, translatePos: number): boolean;
    setMoveDirection($event: MouseEvent): void;
    handleDuration(time: string): void;
    setTransitionStyle(time: string): void;
    removeTransitionStyle(): void;
    selectView(view: TlView): void;
    changeViewSelected(value: string): void;
    ngOnDestroy(): void;
}
