import { EventEmitter, OnInit, ChangeDetectorRef, SimpleChanges, OnChanges } from '@angular/core';
import { NavigatorManagerService } from './services/navigator-manager.service';
export declare class TlNavigator implements OnInit, OnChanges {
    navigatorManager: NavigatorManagerService;
    change: ChangeDetectorRef;
    width: string;
    height: string;
    type: 'monthyear' | 'year' | 'rangeyear' | 'day';
    date: Date;
    range: number;
    withBorder: boolean;
    color: string;
    clickPrevious: EventEmitter<any>;
    clickNext: EventEmitter<any>;
    clickNavigator: EventEmitter<any>;
    description: string;
    constructor(navigatorManager: NavigatorManagerService, change: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnChanges(change: SimpleChanges): void;
    onClickPrevious(): void;
    onClickNext(): void;
    onClickNavigator(): void;
    private setDescription;
}
