import { AfterViewInit, OnDestroy, ViewContainerRef, Renderer2, OnInit } from '@angular/core';
import { MenuService } from '../core/services/menu.service';
import { FixedPositionDirective } from '../misc/fixed-position.directive';
export declare class TlPopupMenu implements AfterViewInit, OnInit, OnDestroy {
    private menuService;
    private renderer;
    items: any[];
    label: string;
    icon: string;
    subItem: string;
    trigger: any;
    target: any;
    positionY: string;
    overlapTrigger: boolean;
    positionX: string;
    hover: boolean;
    wrapperMenuItem: ViewContainerRef;
    fixedPos: FixedPositionDirective;
    constructor(menuService: MenuService, renderer: Renderer2);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    validateTarget(): void;
    listenDocumentClick(): void;
    listenTrigger(): void;
    listenTriggerMouseLeave(): void;
    ngOnDestroy(): void;
}
