import { OnInit, SimpleChanges, OnChanges } from '@angular/core';
export declare class TlProgressBar implements OnInit, OnChanges {
    min: number;
    max: number;
    position: number;
    unit: string;
    height: string;
    shape: 'default' | 'rounded';
    progressInfo: 'none' | 'percentage' | 'detailed';
    mode: 'determinate' | 'indeterminate';
    color: 'basic' | 'primary' | 'success' | 'danger' | 'warning' | 'information';
    constructor();
    ngOnInit(): void;
    getProgressDescription(): number;
    ngOnChanges(change: SimpleChanges): void;
}
