import { OnInit, EventEmitter, TemplateRef } from '@angular/core';
import { ViewType } from '../../types/view.type';
export declare class HeadingComponent implements OnInit {
    views: Array<'day' | 'week' | 'month' | 'workWeek' | 'dayList' | 'weekList'>;
    defaultView: 'day' | 'week' | 'month' | 'workWeek' | 'dayList' | 'weekList';
    currentDate: Date;
    texts: {
        views: {
            day: string;
            week: string;
            month: string;
            workWeek: string;
            dayList: string;
            weekList: string;
        };
        buttons: {
            addEvent: string;
        };
        scaleNotFound: string;
    };
    eventButtonTemplate: TemplateRef<any>;
    changeView: EventEmitter<ViewType>;
    changeDate: EventEmitter<any>;
    newEventClick: EventEmitter<any>;
    constructor();
    ngOnInit(): void;
}
