import { EventEmitter } from '@angular/core';
import { WorkScaleType } from '../types/work-scale.type';
export declare class WorkScaleService {
    workScale: WorkScaleType[];
    currentDate: Date;
    timesCollection: Array<Array<Date>>;
    workScaleInMileseconds: any[];
    updateScale: EventEmitter<any>;
    constructor();
    reload(workScale: WorkScaleType | WorkScaleType[]): void;
    exitsWorkScale(workScale: any): boolean;
    private setWorkScale;
    private createWorkScaleMileseconds;
    transformHourToMileseconds(fullHour: string, currentDate?: Date): number;
    transformMilesecondsToHour(fullHour: number): string;
    private generateTimes;
}
