import { AfterContentInit, EventEmitter, OnDestroy, OnInit, QueryList } from '@angular/core';
import { StepService } from './services/step.service';
import { TlStepForm } from './parts/step-form/step-form';
export declare class TlStep implements OnInit, AfterContentInit, OnDestroy {
    private stepService;
    set initialStep(value: number);
    steps: QueryList<TlStepForm>;
    finish: EventEmitter<any>;
    changeStep: EventEmitter<any>;
    selected: number;
    private subscription;
    get stepsArray(): TlStepForm[];
    constructor(stepService: StepService);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    onChange(): void;
    onFinish(): void;
    closeAll(): void;
    ngOnDestroy(): void;
}
