import { OnInit, EventEmitter, ChangeDetectorRef, OnDestroy } from '@angular/core';
import { StopwatchService } from './services/stopwatch-service';
export declare class TlStopwatch implements OnInit, OnDestroy {
    private stopWatchService;
    private change;
    color: string;
    width: string;
    height: string;
    resetOnStop: boolean;
    set initialTime(value: string | Date);
    returnTime: EventEmitter<any>;
    currentHour: string;
    private subscription;
    constructor(stopWatchService: StopwatchService, change: ChangeDetectorRef);
    ngOnInit(): void;
    start(): void;
    stop(): void;
    reset(): void;
    ngOnDestroy(): void;
}
