import { OnInit, EventEmitter } from '@angular/core';
import { TlInput } from '../input/input';
export declare class TlTag implements OnInit {
    title: string;
    width: string;
    height: string;
    icon: any;
    mode: 'default' | 'closeable' | 'clickable' | 'editable';
    charcase: 'unset' | 'lowercase' | 'capitalize' | 'uppercase' | 'revert';
    closeOnValueEmited: boolean;
    set color(value: string);
    get color(): string;
    close: EventEmitter<any>;
    tagValue: EventEmitter<any>;
    tlinput: TlInput;
    private _color;
    editing: boolean;
    customColor: string;
    editableValue: string;
    constructor();
    ngOnInit(): void;
    onClose(): void;
    onClickTag(): void;
    onConfirmTextInputed(): void;
    onClearValue(): void;
    onInputValue(value: KeyboardEvent): void;
    private emitEditablevalue;
    private resetInput;
    private hideInput;
}
