import { AfterViewInit, ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { FormControlName, NgModel } from '@angular/forms';
import { CdkOverlayOrigin } from '@angular/cdk/overlay';
import { ValueAccessorBase } from '../input/core/value-accessor';
export declare class TlTextarea extends ValueAccessorBase<string> implements OnInit, AfterViewInit {
    private change;
    label: string;
    labelPlacement: string;
    labelSize: string;
    name: string;
    placeholder: string;
    height: string;
    tabindex: number;
    maxlength: number;
    textAlign: 'left' | 'right' | 'center' | 'justify';
    readonly: any;
    disabled: any;
    clearButton: boolean;
    color: string;
    withBorder: boolean;
    resize: boolean;
    showCount: boolean;
    textarea: any;
    cdkOverlayOrigin: CdkOverlayOrigin;
    model: NgModel;
    controlName: FormControlName;
    click: EventEmitter<MouseEvent>;
    focus: EventEmitter<any>;
    blur: EventEmitter<any>;
    clear: EventEmitter<any>;
    overlayOrigin: EventEmitter<any>;
    required: boolean;
    isShowingMessages: boolean;
    hasValidator: any;
    constructor(change: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    setRequired(): void;
    handleValidator(): void;
    setFocus(): void;
    stopEvent($event: any): void;
    onTextareaClick($event: MouseEvent): void;
    onTextareaFocus($event: any): void;
    onTextareaBlur($event: any): void;
    clearTextarea($event?: any): void;
}
