import { ElementRef, OnInit, TemplateRef, EventEmitter, ChangeDetectorRef, OnChanges, SimpleChanges } from '@angular/core';
import { TlTimelineItem } from './parts/timeline-item/timeline-item';
export declare class TlTimeline implements OnInit, OnChanges {
    change: ChangeDetectorRef;
    data: any[];
    clearOnUpdateData: boolean;
    align: string;
    height: string;
    keyTitle: string;
    keyText: string;
    keyDate: string;
    rowsPage: number;
    mode: string;
    color: string;
    enableUnequalChildrenSizes: boolean;
    bufferAmount: number;
    lazyLoad: EventEmitter<any>;
    listComponent: ElementRef;
    customTemplate: TemplateRef<any>;
    buffer: any[];
    skip: number;
    loadingMoreData: boolean;
    nothingFound: boolean;
    constructor(change: ChangeDetectorRef);
    ngOnInit(): void;
    onInit(lineItem: TlTimelineItem, item: any, index: any): void;
    ngOnChanges(changes: SimpleChanges): boolean;
    fetchMore(event: any): void;
}
