import { AfterViewInit, ElementRef } from '@angular/core';
import { AbstractControl, FormControl, ValidationErrors, Validator } from '@angular/forms';
import { PasswordRule } from './passwordrule.interface';
export declare class PasswordDirective implements Validator, AfterViewInit {
    private element;
    control: AbstractControl;
    passwordRule: PasswordRule;
    private elementInput;
    constructor(element: ElementRef);
    ngAfterViewInit(): void;
    validate(c: FormControl): ValidationErrors;
}
