import { ComponentFactoryResolver, ElementRef, OnChanges, ViewContainerRef } from '@angular/core';
import { BlockUIConfig } from './blockui-config';
export declare class TlBlockUI implements OnChanges {
    private elementRef;
    private viewContainerRef;
    private compiler;
    tlBlockui: boolean;
    dimensionsFrom: 'parent' | 'client';
    blockuiConfig: BlockUIConfig;
    private overlayElement;
    private overlayElementInstance;
    constructor(elementRef: ElementRef, viewContainerRef: ViewContainerRef, compiler: ComponentFactoryResolver);
    initializeBlockUi(): void;
    private getElementRefFromInstance;
    private getPaddingElementRef;
    private setConfigToElement;
    private createElementInstance;
    private insertElement;
    ngOnChanges(changes: any): void;
    private toggleLoader;
    private show;
    private hide;
}
