import { EventEmitter, OnInit, SimpleChanges, OnChanges } from '@angular/core';
import { NgControl } from '@angular/forms';
import { ValueAccessorBase } from '../input/core/value-accessor';
export declare class TlCheckBox extends ValueAccessorBase<boolean> implements OnInit, OnChanges {
    ngControl: NgControl;
    set checked(value: boolean);
    get checked(): boolean;
    label: string;
    tabindex: string;
    disabled: any;
    color: string;
    indeterminate: boolean;
    labelWidth: string;
    checkbox: any;
    checkBox: EventEmitter<any>;
    focusBox: EventEmitter<any>;
    private _checked;
    constructor(ngControl: NgControl);
    ngOnInit(): void;
    get control(): import("@angular/forms").AbstractControl;
    setControl(): void;
    check(boolean: any): void;
    emitEvent(): void;
    focusCheckBox(): void;
    ngOnChanges(changes: SimpleChanges): void;
}
