import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { ContextMenuInterface } from './interfaces/context-menu.interface';
import { ConnectedPosition } from '@angular/cdk/overlay/position/flexible-connected-position-strategy';
export declare class TlContextMenuComponent implements OnInit {
    private changes;
    contextMenu: ContextMenuInterface[];
    private currentContext;
    select: EventEmitter<any>;
    isOpen: boolean;
    positions: ConnectedPosition[];
    constructor(changes: ChangeDetectorRef);
    ngOnInit(): void;
    init(items: ContextMenuInterface[], context: any): void;
    onClickItem(callback: any): any;
    onItemMouseOver(item: any): void;
}
