import { ElementRef } from '@angular/core';
import { Overlay, OverlayPositionBuilder } from '@angular/cdk/overlay';
import { ContextMenuInterface } from '../interfaces/context-menu.interface';
export declare class ContextMenuService {
    private overlayPositionBuilder;
    private overlay;
    private menuRef;
    private subscription;
    constructor(overlayPositionBuilder: OverlayPositionBuilder, overlay: Overlay);
    private overlayRef;
    create(event: MouseEvent, elementRef: ElementRef, itemsMenu: ContextMenuInterface[], context?: any): void;
    listenBackDropClick(): void;
    listenSelect(): void;
    close(): void;
}
