import { OnDestroy, AfterContentInit, EventEmitter } from '@angular/core';
import { Subject } from 'rxjs';
export declare class TlFilterContainer implements AfterContentInit, OnDestroy {
    constructor();
    set term(searchTerm: string);
    get term(): string;
    source: any[];
    searchBy: string;
    lazyMode: string;
    debounceTime: number;
    filter: EventEmitter<any>;
    filtering: Subject<any>;
    private _term;
    ngAfterContentInit(): void;
    search(searchTerm: string): string | any[];
    ngOnDestroy(): void;
}
