import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { I18nService } from '../../../i18n/i18n.service';
import { FilterEventMetadata, FilterMetadata } from '../../metadatas/filter.metadata';
import { TlDatatableColumn } from '../column/datatable-column';
import { TlDatatableFilterService } from '../../services/datatable-filter.service';
export declare class TlDatatabaleColumnFilter implements OnInit, OnDestroy {
    private i18n;
    private datatableFilterService;
    tlColumnFilter: TlDatatableColumn[];
    filterEvent: EventEmitter<any>;
    filters: FilterMetadata;
    get filterPlaceholder(): string;
    get dropdownResetPlaceholder(): string;
    private subject;
    private subscription;
    constructor(i18n: I18nService, datatableFilterService: TlDatatableFilterService);
    ngOnInit(): void;
    onKeyDown($event: any): void;
    onChangeFilter(event: any): void;
    onClear(event: any): void;
    makeFilterEvent(): FilterEventMetadata;
    getDefaultMath(column: TlDatatableColumn): any;
    getValueByType(column: TlDatatableColumn): any;
    ngOnDestroy(): void;
}
