import { OnInit, Injector, TemplateRef } from '@angular/core';
export declare class TlDatatableColumn implements OnInit {
    private injector;
    field: string;
    title: string;
    alignment: string;
    width: string;
    type: 'text' | 'number' | 'date';
    format: string;
    showFilter: boolean;
    sortable: boolean;
    showFilterOptions: boolean;
    filterOptions: any[];
    template: TemplateRef<any> | null;
    private filterOptionsService;
    constructor(injector: Injector);
    ngOnInit(): void;
    setTitle(): void;
    setFilterOptionsWhenTypeNotDefault(): void;
    setFilterOptions(): void;
}
