import { I18nService } from '../../i18n/i18n.service';
import { DatatableI18nInterface } from '../../i18n/languages/datatable';
export declare class FilterOptionsService {
    private i18n;
    constructor(i18n: I18nService);
    optionDescription(): DatatableI18nInterface;
    getOptionsByType(type: any): Array<any>;
    getOptionsDefault(): {
        description: string;
        valueItem: string;
        icon: string;
    }[];
    getOptionsText(): {
        description: string;
        valueItem: string;
        icon: string;
    }[];
    getOptionsNumber(): {
        description: string;
        valueItem: string;
        icon: string;
    }[];
    getOptionsDate(): {
        description: string;
        valueItem: string;
        icon: string;
    }[];
}
