import { OnInit, AfterViewInit, ChangeDetectorRef } from '@angular/core';
import { ElementBase } from '../input/core/element-base';
import { NgModel } from '@angular/forms';
export declare class TlDropdownIcon extends ElementBase<string> implements OnInit, AfterViewInit {
    private change;
    data: any[];
    disabled: any;
    defaultIcon: string;
    color: string;
    heightIcon: string;
    widthIcon: string;
    heightItems: string;
    widthItems: string;
    keyIcon: string;
    defaultOptionText: string;
    hasDefaultOption: boolean;
    keyText: string;
    keyValue: string;
    model: NgModel;
    optionSelected: any;
    typeOfData: string;
    isOpen: boolean;
    constructor(validators: Array<any>, asyncValidators: Array<any>, change: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onBackdropClick(): void;
    onSelectOption($event: any): void;
    onDefaultOption(): void;
    getIcon(): any;
}
