import { EventEmitter, OnInit } from '@angular/core';
import { ToolbarConfig } from '../../interfaces/toolbar-config';
import { FieldContent } from '../../interfaces/field-content';
export declare class TlEditorHeader implements OnInit {
    toolbarConfig: ToolbarConfig;
    cursorHighlight: boolean;
    fontSizeCollection: any[];
    fontCollection: any[];
    fields: FieldContent[];
    color: string;
    activeTools: any;
    colorSelected: string;
    fontSelected: string;
    fontSizeSelected: string;
    changeColor: EventEmitter<any>;
    changeFont: EventEmitter<any>;
    changeFontSize: EventEmitter<any>;
    clickUnderline: EventEmitter<any>;
    clickItalic: EventEmitter<any>;
    clickBold: EventEmitter<any>;
    clickHighlight: EventEmitter<any>;
    clickAlignContent: EventEmitter<any>;
    clickUnorderedList: EventEmitter<any>;
    clickOrderedList: EventEmitter<any>;
    clickLink: EventEmitter<any>;
    clickImage: EventEmitter<any>;
    clickQuote: EventEmitter<any>;
    clickClear: EventEmitter<any>;
    clickSave: EventEmitter<any>;
    clickField: EventEmitter<any>;
    set labelAddField(value: string);
    get labelAddField(): string;
    private _labelAddField;
    defaultField: any;
    constructor();
    ngOnInit(): void;
    onChangeField($event: any): void;
}
