import { Subject } from 'rxjs';
import { DomSanitizer } from '@angular/platform-browser';
import { TagContent } from '../interfaces/tag-content';
import { FieldContent } from '../interfaces/field-content';
export declare class EditorService {
    private domSanitizer;
    compileSuject: Subject<unknown>;
    constructor(domSanitizer: DomSanitizer);
    decompile(html: string, tagsContent: TagContent[], fieldsContent: FieldContent[]): Promise<unknown>;
    private getFieldValue;
    compile(html: string, tagsContent: TagContent[], fieldsContent: FieldContent[]): Promise<unknown>;
    private getAttributeValue;
}
