export declare const pt_BR: {
    locale: string;
    AutoComplete: {
        messageLoading: string;
        nothingFoundMessage: string;
    };
    Button: {
        loadingText: string;
    };
    Calendar: {
        today: string;
        months: {
            name: string;
            initials: string;
        }[];
        dayOfWeek: string[];
    };
    ChatList: {
        noContactsFound: string;
        today: string;
        yesterday: string;
        loadingMessages: string;
        saySomething: string;
        searchContact: string;
    };
    Datatable: {
        notFoundText: string;
        filterPlaceholder: string;
        dropdownResetPlaceholder: string;
        filterOptionStartsWith: string;
        filterOptionContains: string;
        filterOptionNotContains: string;
        filterOptionEndsWith: string;
        filterOptionEquals: string;
        filterOptionNotEquals: string;
        filterOptionLessThan: string;
        filterOptionGreaterThan: string;
        filterOptionLessThanOrEqual: string;
        filterOptionGreaterThanOrEqual: string;
    };
    Dialog: {
        exceptionBoxDescription: string;
        textClose: string;
        textOk: string;
        textCancel: string;
        textYes: string;
        textNo: string;
    };
    Editor: {
        fontFamilyText: string;
        fontSizeText: string;
        boldText: string;
        italicText: string;
        underlineText: string;
        colorText: string;
        highlightText: string;
        alignLeftText: string;
        alignCenterText: string;
        alignRightText: string;
        justifyText: string;
        listUnordered: string;
        listOrdered: string;
        linkText: string;
        imageText: string;
        quoteText: string;
        clearText: string;
        saveText: string;
        fieldText: string;
        labelAddField: string;
    };
    Form: {
        deleteConfirmationMessage: string;
        deleteTitleConfirmation: string;
        recordNotFoundMessage: string;
        textOk: string;
        textCancel: string;
    };
    Modal: {
        includingMessage: string;
        updatingMessage: string;
    };
    Listbox: {
        notFoundText: string;
    };
    Upload: {
        boxDescription: string;
        placeholder: string;
        upload: string;
    };
    Navigator: {
        monthsDescription: string[];
        daysDescription: string[];
    };
    Validators: {
        invalidDatePattern: string;
        fieldRequired: string;
        invalidMinLength: string;
        patternNotMatch: string;
        invalidCPF: string;
        invalidCNPJ: string;
        invalidEmail: string;
        invalidCreditCard: string;
        invalidPasswordRuleDigits: string;
        invalidPasswordRuleUppercase: string;
        invalidPasswordRuleSpecial: string;
        invalidPasswordRuleLowerCase: string;
    };
    OverlayList: {
        emptyList: string;
    };
    Permissions: {
        notFound: string;
        loadingMessage: string;
        searchGroup: string;
        searchFunctionality: string;
        allowColumnText: string;
    };
    TimePicker: {
        now: string;
        textConfirm: string;
        textCancel: string;
    };
    TimeAvailablePicker: {
        notFound: string;
    };
};
