import { ControlValueAccessor } from '@angular/forms';
export declare abstract class ValueAccessorBase<T> implements ControlValueAccessor {
    private innerValue;
    isDisabled: boolean;
    propagateChange: any;
    propagateTouched: any;
    get value(): T;
    set value(value: T);
    writeValue(value: T): void;
    registerOnChange(fn: (value: T) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
}
