import { AfterViewInit, DoCheck, KeyValueDiffer, KeyValueDiffers, OnInit, AfterContentInit, OnDestroy } from '@angular/core';
import { CurrencyConfig } from './currency-mask.config';
import { CurrencyHandler } from './currency.handler';
import { TlInput } from '../../input';
import { NgModel } from '@angular/forms';
export declare class CurrencyDirective implements AfterContentInit, AfterViewInit, DoCheck, OnInit, OnDestroy {
    private currencyConfig;
    private inputCurrency;
    private keyValueDiffers;
    currencyOptions: any;
    model: NgModel;
    inputHandler: CurrencyHandler;
    private subscription;
    keyValueDiffer: KeyValueDiffer<any, any>;
    optionsTemplate: {
        align: string;
        allowNegative: boolean;
        allowZero: boolean;
        decimal: string;
        precision: number;
        prefix: string;
        suffix: string;
        thousands: string;
        nullable: boolean;
    };
    constructor(currencyConfig: CurrencyConfig, inputCurrency: TlInput, keyValueDiffers: KeyValueDiffers);
    ngAfterContentInit(): void;
    ngAfterViewInit(): void;
    ngDoCheck(): void;
    ngOnInit(): void;
    handleBlur(event: any): void;
    handleCut(event: any): void;
    handleInput(event: any): void;
    handleKeydown(event: any): void;
    handleKeypress(event: any): void;
    handlePaste(event: any): void;
    isChromeAndroid(): boolean;
    ngOnDestroy(): void;
}
