import { CurrencyManager } from './currency.manager';
import { CurrencyConfig } from './currency-mask.config';
export declare class CurrencyService {
    private htmlInputElement;
    private options;
    PER_AR_NUMBER: Map<string, string>;
    inputManager: CurrencyManager;
    initialize(): void;
    constructor(htmlInputElement: any, options: CurrencyConfig);
    addNumber(keyCode: number): void;
    applyMask(isNumber: boolean, rawValue: string): string;
    clearMask(rawValue: string): number;
    changeToNegative(): void;
    changeToPositive(): void;
    removeNumber(keyCode: number): void;
    updateFieldValue(selectionStart?: number): void;
    updateOptions(options: any): void;
    prefixLength(): any;
    isNullable(): boolean;
    get canInputMoreNumbers(): boolean;
    get inputSelection(): any;
    get rawValue(): string;
    set rawValue(value: string);
    get storedRawValue(): string;
    get value(): any;
    set value(value: any);
}
