import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { ImageLightboxInterface } from './interfaces/image.interface';
import { DomSanitizer } from '@angular/platform-browser';
export declare class TlLightbox implements OnInit {
    private changes;
    private sanitizer;
    isOpen: boolean;
    files: ImageLightboxInterface[];
    file: ImageLightboxInterface;
    close: EventEmitter<any>;
    zoomIn: boolean;
    transform: any;
    onClick(): void;
    constructor(changes: ChangeDetectorRef, sanitizer: DomSanitizer);
    ngOnInit(): void;
    init(images: ImageLightboxInterface[], current: any): void;
    zoomInOut(): void;
    previous($event: any): void;
    next($event: any): void;
    mouseMove($event: any): void;
    hasImagesOnLeft(): boolean;
    hasImagesOnRight(): boolean;
    selectImage($event: any, item: any): void;
    stopEvent($event: any): void;
    bypassFile(file: any): import("@angular/platform-browser").SafeResourceUrl;
}
