import { ElementRef, AfterContentInit, ChangeDetectorRef } from '@angular/core';
import { Subject } from 'rxjs';
import { Router } from '@angular/router';
export declare class TlAdvancedRootMenu implements AfterContentInit {
    private change;
    private router;
    icon: string;
    label: string;
    subItem: string;
    items: any[];
    docked: boolean;
    width: string;
    dockWidth: string;
    group: string;
    charsToSearch: number;
    topDislocation: number;
    titleMenu: string;
    anchorElements: any[];
    widthRootMenu: string;
    visibilityMenu: boolean;
    operationMode: string;
    topPosition: string;
    filterEmptyMessage: string;
    inputPlaceholder: string;
    itemHeight: string;
    rootItemHeight: string;
    groups: any[];
    model: string;
    innerScrollWrapper: number;
    maxHeight: string;
    callBack: Function;
    nothingFound: boolean;
    onRootMenuLoad: Subject<boolean>;
    onChangeItems: Subject<boolean>;
    private modelChanged;
    private filteredMenu;
    private subMenuService;
    private index;
    private link;
    private listMenuElements;
    subMenuList: ElementRef;
    wrapperItemsList: ElementRef;
    inputElement: ElementRef;
    wrapperItems: ElementRef;
    constructor(change: ChangeDetectorRef, router: Router);
    ngAfterContentInit(): void;
    setDataSubMenu(items: any): void;
    setProperties(properties: any): void;
    getListMenuElements(): void;
    isTermLengthEqualsZero(searchTerm: any): boolean;
    isTermGreaterThanChars(searchTerm: any): boolean;
    filterCategory(array: any): void;
    changeInputValue(value: any): void;
    filterMenuItem(value: any): void;
    handleDataFiltered(): void;
    mathWithTerm(menu: any, value: any): any;
    hasDataFound(): boolean;
    close(): void;
    rebuildMenu(): void;
    onArrowDown($event: any): void;
    onArrowLeft($event: any): void;
    onArrowRight($event: any, element: any): void;
    onArrowUp($event: any): any;
    onScrollWrapper(): void;
    onHoverSubMenu(element: any): void;
    onLeaveSubMenu(element: any): void;
    isOperationModeHover(): boolean;
    closeAllSubMenus(): void;
    setFocusElement(): void;
    existListElement(index: any): any;
    isFocusInput(): boolean;
    callbackListElement($event: any, item: any): Promise<boolean>;
    handleCallbackItem(item: any, $event: any): void;
    filterSubItem(array: any, value: any, menu: any): void;
    getItemsCategory(category: any, array: any): any;
    existGroup(category: any): boolean;
    setAnchorElement(item: any, element: any): void;
    toggleSubMenu(element: any, subItem: any, $event: any): void;
    isTargetEqualsElement(element: any, target: any): boolean;
    isContentMath(element: any): any[];
    isTargetListElement(element: any, target: any): boolean;
    alreadyTaken(element: any): any[];
    setMenuServiceInstance(menuService: any): void;
    setInputFocus(): void;
    getWidth(): string;
    toggleVisibility(): void;
    setTopPosition(): void;
}
