import { AfterViewInit, ElementRef, OnInit, Renderer2 } from '@angular/core';
export declare class ScrollManager implements OnInit, AfterViewInit {
    private renderer;
    private scrollContainer;
    elementController: HTMLElement;
    listItemHeight: string;
    private cursorIndex;
    private numberItemsContainer;
    private currentScroll;
    constructor(renderer: Renderer2, scrollContainer: ElementRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    listenController(): void;
    isArrowUp($event: any): boolean;
    isArrowDown($event: any): boolean;
    onArrowUp(): void;
    setScrollTop(value: number): void;
    onArrowDown(): void;
    getContainerHeight(): any;
    getScrollHeight(): any;
    getScrollTop(): any;
}
