import { OnInit } from '@angular/core';
import { ModalResult } from '../../core/enums/modal-result';
import { ModalService } from '../services/modal.service';
import { TlButton } from '../../button/button';
export declare class ModalResultDirective implements OnInit {
    private modalService;
    private button;
    mdResult: ModalResult;
    set formResult(value: any);
    get formResult(): any;
    private modalId;
    private _formResult;
    onClick(): void;
    onKeyDown(): void;
    constructor(modalService: ModalService, button: TlButton);
    ngOnInit(): void;
    emitCallback(): Promise<any>;
    getResult(): {
        mdResult: string;
        formResult: any;
    } | {
        mdResult: string;
        formResult?: undefined;
    };
}
