import { ComponentFactoryResolver, ComponentRef } from '@angular/core';
import { TlModal } from '../modal';
import { Subject } from 'rxjs';
import { SmartFormConfiguration } from '../classes/modal-smart-form';
import { ModalOptions } from './modal-options';
export interface ModalInstance {
    id: string;
    modal: ComponentRef<TlModal>;
    componentInjected: ComponentRef<any>;
    modalOptions: ModalOptions;
    eventCallback: Subject<any>;
    smartForm: ComponentFactoryResolver | SmartFormConfiguration;
}
