import { I18nService } from '../../i18n/i18n.service';
export declare class NavigatorManagerService {
    private i18n;
    private currentMonth;
    private currentYear;
    private currentDay;
    private startYear;
    private endYear;
    private date;
    private type;
    private range;
    get monthsDescription(): string[];
    get daysDescription(): string[];
    constructor(i18n: I18nService);
    previous(): void;
    next(): void;
    setType(type: any): void;
    setRange(range: any): void;
    setDate(date: any): void;
    getDataObject(): {
        day: number;
        month: number;
        year: number;
        fullDate: Date;
        rangeYear: {
            start: number;
            end: number;
        };
    };
    getDescription(): string;
    private managerPreviousAction;
    private managerNextAction;
    private getYearDescription;
    private getRangeYear;
    private getDayDescription;
    private getMonthDescription;
    private monthYearTypeNext;
    private monthYearTypePrevious;
    private yearTypePrevious;
    private yearTypeNext;
    private dayTypePrevious;
    private dayTypeNext;
    private rangeYearTypePrevious;
    private rangeYearTypeNext;
    private getAtualDateFromParameters;
}
