import { EventEmitter, AfterContentInit, Renderer2, OnInit } from '@angular/core';
import { CdkConnectedOverlay } from '@angular/cdk/overlay';
export declare class TlOverlayPanel implements OnInit, AfterContentInit {
    private renderer;
    elementOrigin: any;
    width: string;
    show: EventEmitter<any>;
    hide: EventEmitter<any>;
    cdkOverlay: CdkConnectedOverlay;
    isOpen: boolean;
    constructor(renderer: Renderer2);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    private listenElementOrigin;
    private validateNullOrigin;
    private getTargetElement;
    private isElementTlButton;
    onBackdropClick(): void;
    open(): void;
    close(): void;
    toggle(): void;
}
