import { QueryList, AfterContentInit, OnDestroy } from '@angular/core';
import { TlRadioButton } from './radiobutton';
import { NgControl } from '@angular/forms';
import { ValueAccessorBase } from '../input/core/value-accessor';
export declare class TlRadioGroup extends ValueAccessorBase<string> implements AfterContentInit, OnDestroy {
    ngControl: NgControl;
    labelGroup: string;
    orientation: string;
    colorSelected: string;
    radiobutton: any;
    listRadioButton: QueryList<TlRadioButton>;
    private onCheckRadio;
    private onFocusRadio;
    itemSelected: any;
    name: any;
    tabindex: any;
    private subscription;
    constructor(ngControl: NgControl);
    get control(): import("@angular/forms").AbstractControl;
    setControl(): void;
    ngAfterContentInit(): void;
    listenModelChange(): void;
    validateProperty(): void;
    handleInitialValue(): void;
    handleModelValue(): void;
    handleChecked(): void;
    handleKeyDown($event: KeyboardEvent): void;
    setItemChecked(item: any): void;
    checkFirstItem(): void;
    getCheckedRadios(): TlRadioButton[];
    validateCheckedRadios(): void;
    checkRadio(item: any, $event?: any): void;
    focusRadio(item: any): void;
    ngOnDestroy(): void;
}
