import { OnInit, SimpleChanges, OnChanges, ChangeDetectorRef, EventEmitter } from '@angular/core';
import { ScheduleDataSource } from '../../types/datasource.type';
import { StatusType } from '../../types/status.type';
export declare class DayListComponent implements OnInit, OnChanges {
    private changeDetectionRef;
    events: ScheduleDataSource[];
    statusConfig: Array<StatusType>;
    currentDate: Date;
    onEventDbClick: EventEmitter<any>;
    onEventClick: EventEmitter<any>;
    onEventMouseover: EventEmitter<any>;
    onEventMouseout: EventEmitter<any>;
    constructor(changeDetectionRef: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
}
