import { OnInit, ElementRef, ChangeDetectorRef } from '@angular/core';
export declare class TlSidebarContent implements OnInit {
    private element;
    private change;
    height: string;
    width: string;
    transform: string;
    innerWidth: string;
    start: {
        width: number;
        mode: string;
        docked: boolean;
        opened: boolean;
        dockWidth: number;
        dock: boolean;
    };
    end: {
        width: number;
        mode: string;
        opened: boolean;
    };
    constructor(element: ElementRef, change: ChangeDetectorRef);
    ngOnInit(): void;
    setMovement(value: any): void;
    setOptionsMovement(value: any): void;
    setMovementInitialDock(): void;
    setTransformDock(): void;
    moveSidebarStart(): void;
    moveSidebarEnd(): void;
    handleSlideStart(): void;
    handlePushStart(): void;
    handleSlideEnd(): void;
    setWidthWrapperDockEnd(): void;
    isNotOverAndOpened(): boolean;
    setTransformEndWidth(): void;
    setTransformStartWidth(): void;
    setWidthWrapperStartAndEnd(): void;
    setWidthWrapperStart(): void;
    setWidthWrapperEnd(): void;
    handlePushEnd(): string | void;
    setEnd(value: any): void;
    setStart(value: any): void;
}
