import { OnInit, EventEmitter, SimpleChanges, OnChanges, AfterContentInit, ViewContainerRef, ComponentFactoryResolver, Renderer2, ElementRef } from '@angular/core';
import { Subject } from 'rxjs';
export declare class TlSidebar implements OnInit, AfterContentInit, OnChanges {
    private renderer;
    private element;
    private factory;
    private view;
    opened: boolean;
    mode: 'push' | 'over' | 'slide';
    width: number;
    position: 'start' | 'end';
    dockWidth: number;
    dock: boolean;
    openedChange: EventEmitter<boolean>;
    open: EventEmitter<any>;
    close: EventEmitter<any>;
    docked: boolean;
    toggleChange: Subject<unknown>;
    private sidebarWidth;
    private backdrop;
    constructor(renderer: Renderer2, element: ElementRef, factory: ComponentFactoryResolver, view: ViewContainerRef);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    toggle(): void;
    openDockSidebar(): void;
    closeDockSidebar(): void;
    handleDockAndPosition(): void;
    handleBackdropOnOver(): void;
    handleDockSidebar(): void;
    listenScroll(): void;
    toggleChangeEmitter(): void;
    emitOpenClose(): void;
    isChangeDockOpen(change: any): boolean;
    isChangeDockClose(change: any): boolean;
    setDockClosed(): void;
    handleRemoveBackdrop(): void;
    setDockOpened(): void;
    isFirstChange(change: any): any;
    isModeOver(): boolean;
    setBackdropOptions(): void;
    createBackdrop(): void;
    removeBackdrop(): void;
    ngOnChanges(change: SimpleChanges): void;
}
