import { AfterContentInit, OnDestroy, QueryList, Renderer2 } from '@angular/core';
import { TlSidebar } from './parts/sidebar/sidebar';
import { SidebarService } from '../modal/services/sidebar.service';
export declare class TlSidebarContainer implements AfterContentInit, OnDestroy {
    private sidebarService;
    private renderer;
    sidebar: QueryList<TlSidebar>;
    sidebarContent: any;
    private subscription;
    constructor(sidebarService: SidebarService, renderer: Renderer2);
    ngAfterContentInit(): void;
    setSidebarMovement(): void;
    listenResize(): void;
    ngOnDestroy(): void;
}
