import { AfterContentInit, QueryList, ChangeDetectorRef, EventEmitter } from '@angular/core';
import { TlSplitButtonAction } from './parts/splitbutton-action';
import { ConnectedOverlayPositionChange } from '@angular/cdk/overlay';
export declare class TlSplitButton implements AfterContentInit {
    private change;
    text: string;
    width: string;
    height: string;
    disabled: boolean;
    color: string;
    click: EventEmitter<any>;
    actions: QueryList<TlSplitButtonAction>;
    isOpen: boolean;
    positionOverlay: string;
    listItems: any[];
    constructor(change: ChangeDetectorRef);
    ngAfterContentInit(): void;
    onPositionChange($event: ConnectedOverlayPositionChange): void;
    get disabledActions(): boolean;
    open($event: any): void;
    stopEvent($event: any): void;
    onButtonClick($event: any): void;
    onBackdropClick(): void;
}
