import { AfterViewInit, ChangeDetectorRef, ElementRef, OnInit } from '@angular/core';
import { StepService } from '../services/step.service';
import { TlButton } from '../../button/button';
export declare class StepNextDirective implements OnInit, AfterViewInit {
    private elementRef;
    private change;
    private stepService;
    private button;
    constructor(elementRef: ElementRef, change: ChangeDetectorRef, stepService: StepService, button: TlButton);
    onClick(): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    private setDisabled;
}
