import { OnInit, OnChanges, OnDestroy, EventEmitter, ElementRef, Renderer2 } from '@angular/core';
import { ToasterService } from '../services/toaster.service';
export declare class TlToaster implements OnInit, OnChanges, OnDestroy {
    private toasterService;
    private renderer;
    toasterID: string;
    title: string;
    icon: any;
    message: string;
    position: string;
    time: number;
    progressBar: number;
    color: string;
    width: string;
    height: string;
    progress: boolean;
    showIcon: boolean;
    afterClose: EventEmitter<any>;
    container: ElementRef;
    interval: any;
    timeout: any;
    constructor(toasterService: ToasterService, renderer: Renderer2);
    ngOnInit(): void;
    animationDone(event: AnimationEvent): void;
    handleClose(): void;
    getMessageKeys(): string[];
    isMessageObject(): boolean;
    close(): void;
    ngOnChanges(changes: any): void;
    ngOnDestroy(): void;
}
