import { ApplicationRef, ComponentFactoryResolver, Injector } from '@angular/core';
import { ToasterConfig } from '../toaster-config';
export declare class ToasterService {
    private app;
    private injector;
    private compiler;
    private listToasters;
    private toaster;
    private toasterContainer;
    constructor(app: ApplicationRef, injector: Injector, compiler: ComponentFactoryResolver);
    createToaster(toasterConfig: ToasterConfig): void;
    success(toasterConfig: ToasterConfig): void;
    information(toasterConfig: ToasterConfig): void;
    danger(toasterConfig: ToasterConfig): void;
    warning(toasterConfig: ToasterConfig): void;
    private addToaster;
    close(id: string): void;
    getListToasters(): any[];
}
